## org.apache.commons.collections.bag
Class HashBag

    java.lang.Object
      org.apache.commons.collections.bag.AbstractMapBag
          org.apache.commons.collections.bag.HashBag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, Bag

    public class HashBag

extends AbstractMapBag
implements Bag, java.io.Serializable

Implements `Bag`, using a `HashMap` to provide the data storage. This is the standard implementation of a bag.

A `Bag` stores each object in the collection together with a count of occurrences. Extra methods on the interface allow multiple copies of an object to be added or removed at once. It is important to read the interface javadoc carefully as several methods violate the `Collection` interface specification.

Since:
  Commons Collections 3.0 (previously in main package v2.0)
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Chuck Burdick, Stephen Colebourne
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.collections.bag.AbstractMapBag
`AbstractMapBag.MutableInteger`

Constructor Summary
`HashBag()` Constructs an empty `HashBag`.
`HashBag(java.util.Collection coll)` Constructs a bag containing all the members of the given collection.

Method Summary

Methods inherited from class org.apache.commons.collections.bag.AbstractMapBag
`add, add, addAll, clear, contains, containsAll, doReadObject, doWriteObject, equals, getCount, getMap, hashCode, isEmpty, iterator, remove, remove, removeAll, retainAll, size, toArray, toArray, toString, uniqueSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### HashBag

    public HashBag()

  Constructs an empty `HashBag`.

### HashBag

    public HashBag(java.util.Collection coll)

  Constructs a bag containing all the members of the given collection.

  Parameters:
    `coll` - a collection to copy into this bag

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.